# SourcePath: memcpy-nopld/20120824dev
Summary: override glibc functions for coretx-a9 errata #743623
Name: sony-target-dev-memcpy_nopld
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-memcpy_nopld
Version: 1.0
Release: 08000101
License: LGPL2.1 / Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/libc
Source0: memcpy-nopld-%{version}.tar.gz

Patch001: force-nopld.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
memcpy() and memmove() without pld to care arm coretx-a9 errata #743623

%package -n %{pkgname}
Summary: Key typing correction
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
memcpy() and memmove() without pld to care arm coretx-a9 errata #743623

%prep
%setup -q -n memcpy-nopld-%{version}

%patch001 -p1


%build
%sony_target_dev_setup
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/lib
install libmemcpy_nopld.so %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/lib

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/usr/lib/libmemcpy_nopld.so

%changelog
* Fri Aug 10 2012 Sony Corporation
- Initial build.
